from korpus import create_bewegung, Sensor
from features.moving_average import moving_average
from features.moving_stdev import moving_stdev
from plot import plotter


def classify_and_plot(sensor_name: str, messung1_name: str, messung1: Sensor, messung2_name: str, messung2: Sensor,
                      feature, window_size=0, line_plot=True, scatter_plot=True):
    if window_size > 0:
        first_feature = feature(window_size, messung1.werte)
        second_feature = feature(window_size, messung2.werte)
    else:
        first_feature = feature(messung1)
        second_feature = feature(messung2)
    if line_plot:
        plotter.plot_sensors([messung1, messung2])
    if scatter_plot:
        plotter.plot_scatters([
            {'values': first_feature, 'name': f"{str(feature)} {messung1_name}: {sensor_name}"},
            {'values': second_feature, 'name': f"{str(feature)} {messung2_name}: {sensor_name}"}
        ])


if __name__ == '__main__':
    joggen = create_bewegung('joggen').messungen[1].sensoren[1]
    kniebeuge = create_bewegung('kniebeuge').messungen[1].sensoren[1]

    classify_and_plot('Acc_Y', 'Joggen', joggen, 'Kniebeuge', kniebeuge, moving_stdev, 25)
